module Birt
  class ApiController < ActionController::Base
    protect_from_forgery with: :exception

    before_filter do
      if Birt::Api.options.before_filter
        instance_exec(request, &Birt::Api.options.before_filter)
      end
    end

    def index

      rpt_design_path = params[:_report] || '003.rptdesign'
      @rpt_design = Birt::Core::RptDesign.new("./birt/reports/#{rpt_design_path}")

      #数据解析
      @rpt_design.parse_rpt
      @rpt_design.data_sets.values.each { |data_set| data_set.data_set_result }
    end
  end
end